Benefits

List benefits

Retrieves a list of benefits.

GET
/benefits

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

search?string

Filter by name or code.

status?string

Filter by status.

Value in"active" | "archived"
type?string

Filter by benefit type.

Value in"feature_access" | "feature_quota" | "credit"

Response Body

application/json

curl -X GET "https://example.com/benefits"
{
  "benefits": [
    {
      "object": "benefit",
      "id": "ben_IhMUl3rrZ3",
      "created_at": "2026-05-13T10:09:31.569Z",
      "name": "API access",
      "code": "northwind-api-access",
      "description": "Gates access to Northwind API products",
      "status": "active",
      "type": "feature_access"
    }
  ],
  "meta": {
    "request_id": "req_IhMUl3rrZ3",
    "current_page": 1,
    "per_page": 20,
    "total_count": 100
  }
}